activeMod {maigesPack} | R Documentation

## Functional classification of gene groups

### Description

This function calculate profiles of expression for groups of genes in each sample of the dataset and for each biological condition (group of samples).

### Usage

    activeMod(data=NULL, gNameID="GeneName", samples=NULL, usePaths=FALSE,
              sLabelID="Classification", adjP="none", cutExp=1,
              cutPhiper=0.05)

### Arguments

`data` | object of class `maiges` to be used to functionally classify gene groups stored in `GeneGrps` slot.
`gNameID` | character string specifying identification of gene label to be used.
`sLabelID` | idem to the previous argument for identification of sample label.
`samples` | a list with character vectors specifying the groups that must be compared.
`usePaths` | logical specifying if the pathways given in `Paths` slot must also be used, defaults to FALSE.
`cutExp` | real number specifying the cutoff for expression levels (to discretise the expression)
`adjP` | character string giving the type of p-value adjustment. May be 'Bonferroni', 'Holm', 'Hochberg', 'SidakSS', 'SidakSD', 'BH', 'BY' or 'none'. Defaults to 'none'. See function `mt.rawp2adjp` in package multtest for more details.
`cutPhiper` | p-value cutoff to select significant gene groups.

### Details

If the argument `samples` is NULL, all types defined by the sample label given by `sLabelID` are used. It is possible to use the `plot.maigesActMod` and `image.maigesActMod` to display the results of this analysis. This function is based in the method proposed by Segal et al. (2004).

### Value

The result of this function is an object of class `maigesActMod`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### References

Segal, E.; Friedman, N.; Koller, D. and Regev, A. A module map showing conditional activity of expression modules in cancer. Nature Genetics, 36, 1090-1098, 2004. (http://www.nature.com/ng/journal/v36/n10/abs/ng1434.html)

### See Also

`activeModScoreHTML`, `maigesActMod`, `plot.maigesActMod`, `image.maigesActMod`, `mt.rawp2adjp`

### Examples

    ## Loading a little dataset
    data(gastro)

    ## Doing functional classification of gene groups for 'Tissue' sample label
    gastro.mod = activeMod(gastro.summ, sLabelID="Tissue", cutExp=1,
      cutPhiper=0.05)

    ## Doing functional classification of gene groups together with the
    ## networks given by Paths slot for 'Tissue' sample label. Also we are
    ## using a cuttoff for p-value of hipergeometric test as 0.1
    gastro.mod = activeMod(gastro.summ, sLabelID="Tissue", cutExp=1,
      cutPhiper=0.1, usePaths=TRUE)

[Package maigesPack version 1.4.0 Index]